FORUMS
Remove All Ads from XDA

[TOOL][WIN/LIN/MAC] MiUnlockTool - Unlock bootloader of xiaomi devices on mac & linux

9 posts
Thanks Meter: 161
 
By franztesca, Junior Member on 25th April 2018, 10:49 PM
Post Reply Email Thread
31st October 2019, 09:01 AM |#121  
Junior Member
Thanks Meter: 0
 
More
Doesn't it work anymore? Redmi Note 7 model.

What is the reason of the low version warning?

Code:
[12:24:01][INFO  ] Starting login procedure
[12:24:08][INFO  ] Login procedure succeeded
[12:24:08][INFO  ] Checking account unlock permission
[12:24:13][INFO  ] Unlock permission confirmed
[12:24:13][INFO  ] Waiting for a fastboot device
[12:25:21][INFO  ] Device connected: XXXXXXXXX
[12:25:21][INFO  ] Obtaining device info...
[12:25:21][INFO  ] Device info obtained
[12:25:21][INFO  ] Checking if unlock will erase data and server message
[12:25:33][INFO  ] Unlock procedure will not erase userdata
[12:25:33][INFO  ] Server message: The version of your tool is low and there may be a security risk. Please upgrade it right now!
[12:25:33][INFO  ] Querying unlock server for unlock key
[12:25:44][ERROR ] Unlock request replied with error code 20035
[12:25:44][ERROR ] Error meaning: Please download the latest version
3rd November 2019, 01:08 AM |#122  
Senior Member
Thanks Meter: 6
 
More
Quote:
Originally Posted by forumaddicted

Doesn't it work anymore? Redmi Note 7 model.

What is the reason of the low version warning?

Code:
[12:24:01][INFO  ] Starting login procedure
[12:24:08][INFO  ] Login procedure succeeded
[12:24:08][INFO  ] Checking account unlock permission
[12:24:13][INFO  ] Unlock permission confirmed
[12:24:13][INFO  ] Waiting for a fastboot device
[12:25:21][INFO  ] Device connected: XXXXXXXXX
[12:25:21][INFO  ] Obtaining device info...
[12:25:21][INFO  ] Device info obtained
[12:25:21][INFO  ] Checking if unlock will erase data and server message
[12:25:33][INFO  ] Unlock procedure will not erase userdata
[12:25:33][INFO  ] Server message: The version of your tool is low and there may be a security risk. Please upgrade it right now!
[12:25:33][INFO  ] Querying unlock server for unlock key
[12:25:44][ERROR ] Unlock request replied with error code 20035
[12:25:44][ERROR ] Error meaning: Please download the latest version

Same here
4th November 2019, 05:39 PM |#123  
Junior Member
Flag Badajoz
Thanks Meter: 0
 
More
Quote:
Originally Posted by forumaddicted

Doesn't it work anymore? Redmi Note 7 model.

What is the reason of the low version warning?

Code:
[12:24:01][INFO  ] Starting login procedure
[12:24:08][INFO  ] Login procedure succeeded
[12:24:08][INFO  ] Checking account unlock permission
[12:24:13][INFO  ] Unlock permission confirmed
[12:24:13][INFO  ] Waiting for a fastboot device
[12:25:21][INFO  ] Device connected: XXXXXXXXX
[12:25:21][INFO  ] Obtaining device info...
[12:25:21][INFO  ] Device info obtained
[12:25:21][INFO  ] Checking if unlock will erase data and server message
[12:25:33][INFO  ] Unlock procedure will not erase userdata
[12:25:33][INFO  ] Server message: The version of your tool is low and there may be a security risk. Please upgrade it right now!
[12:25:33][INFO  ] Querying unlock server for unlock key
[12:25:44][ERROR ] Unlock request replied with error code 20035
[12:25:44][ERROR ] Error meaning: Please download the latest version

Same for Redmi Note 8 Pro
4th November 2019, 11:09 PM |#124  
Junior Member
Thanks Meter: 0
 
More
It seems that in the past week Xiaomi disabled all the old versions of the official MiFlashUnlock Tool, including the version that our friend (topic author) used to build his Linux/Mac tool.
4th November 2019, 11:25 PM |#125  
Senior Member
Thanks Meter: 39
 
More
This project seems to be dead anyway. For a Linux user, thats very unfortunate. He even didn't make it open source so nobody can pick it up and fork it.
12th November 2019, 11:31 AM |#126  
Junior Member
Thanks Meter: 0
 
More
Failed to unlock bootloader with Redmi Note 7 (global edition)
XiaoMiTool V2 failed to unlock the bootloader in my Xiaomi Redmi Note 7.

I have this cell phone:
- Redmi Note 7 (global edition, M1901F7G)
- Android: 9 PKQ1.180904.001
- Android security patch level: 2019-08-05
- MIUI version: MIUI Global 10.3.10 | Stable 10.3.10(PFGMIXM)

I installed XMT2_Linux_Debian_9.4.10.deb in Debian 10 (Buster).
When I ran XiaomiTool V2, I see the following error when trying to unlock the bootloader:
-------
Procedure error occurred

There was an error during the installation producedure.
Error type: xiaomi_exception
Error description: Xiaomi procedure failed: Invalid input argument: null product

Advanced error details: Xiaomi procedure failed: Invalid input argument: null product
InstallException - xiaomi_exception - Xiaomi procedure failed: Invalid input argument: null product
at com.xiaomitoo.v2.procedure.install.FastbootInstall $4.run(Unknown Source)
at com.xiaomitoo.v2.procedure.Rinstall.runInternal(Un known Source)
at com.xiaomitoo.v2.procedure.RNodeSequence.run(Unkno wn Source)
at com.xiaomitoo.v2.procedure.RNode.runInternal(Unkno wn Source)


Any ideas?
16th November 2019, 03:07 AM |#127  
Junior Member
Thanks Meter: 0
 
More
Honestly, It'd be great if someone could update it or make an alternative version. Couldn't get Mi Unlock working on my Windows 10 for the life of me (Unlock button would stay grey even if I had plugged in my phone), but this seemed to work fine until it requested the unlock key.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes